## Enumerations

### GstGLTextureTarget

The OpenGL texture target that an OpenGL texture can be bound to. The gst_gl_value_set_texture_target_from_mask, gst_gl_value_get_texture_target_mask, and gst_gl_value_set_texture_target functions can be used for handling texture targets with GValue's when e.g. dealing with GstCaps.

##### Members

`GST_GL_TEXTURE_TARGET_NONE` (0) –

no texture target

`GST_GL_TEXTURE_TARGET_2D` (1) –

2D texture target (`GL_TEXTURE_2D`)

`GST_GL_TEXTURE_TARGET_RECTANGLE` (2) –

rectangle texture target (`GL_TEXTURE_RECTANGLE`)

`GST_GL_TEXTURE_TARGET_EXTERNAL_OES` (3) –

external oes texture target (`GL_TEXTURE_EXTERNAL_OES`)

Since : 1.8

### GstGL.GLTextureTarget

The OpenGL texture target that an OpenGL texture can be bound to. The GstGL.prototype.gl_value_set_texture_target_from_mask, GstGL.prototype.gl_value_get_texture_target_mask, and GstGL.prototype.gl_value_set_texture_target functions can be used for handling texture targets with GObject.Value's when e.g. dealing with Gst.Caps.

##### Members

`GstGL.GLTextureTarget.NONE` (0) –

no texture target

`GstGL.GLTextureTarget.2D` (1) –

2D texture target (`GL_TEXTURE_2D`)

`GstGL.GLTextureTarget.RECTANGLE` (2) –

rectangle texture target (`GL_TEXTURE_RECTANGLE`)

`GstGL.GLTextureTarget.EXTERNAL_OES` (3) –

external oes texture target (`GL_TEXTURE_EXTERNAL_OES`)

Since : 1.8

### GstGL.GLTextureTarget

The OpenGL texture target that an OpenGL texture can be bound to. The GstGL.gl_value_set_texture_target_from_mask, GstGL.gl_value_get_texture_target_mask, and GstGL.gl_value_set_texture_target functions can be used for handling texture targets with GObject.Value's when e.g. dealing with Gst.Caps.

##### Members

`GstGL.GLTextureTarget.NONE` (0) –

no texture target

`GstGL.GLTextureTarget.2D` (1) –

2D texture target (`GL_TEXTURE_2D`)

`GstGL.GLTextureTarget.RECTANGLE` (2) –

rectangle texture target (`GL_TEXTURE_RECTANGLE`)

`GstGL.GLTextureTarget.EXTERNAL_OES` (3) –

external oes texture target (`GL_TEXTURE_EXTERNAL_OES`)

Since : 1.8

The results of the search are